zabbix_export:
  version: '7.0'
  host_groups:
    - uuid: a7ada63c948e439cb1acf754b94a26fe
      name: Downdetector
  hosts:
    - host: downdetector-aws
      name: 'Amazon AWS'
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Amazon AWS'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://aws.amazon.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-bancodobrasil
      name: 'Banco do Brasil'
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Banco do Brasil'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.bb.com.br'
              status_codes: '200,301,302,403'
      inventory_mode: DISABLED
    - host: downdetector-cloudflare
      name: Cloudflare
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Cloudflare'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.cloudflare.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-facebook
      name: Facebook
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Facebook'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.facebook.com'
              status_codes: '200,301,302,400'
      inventory_mode: DISABLED
    - host: downdetector-gmail
      name: Gmail
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Gmail'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://mail.google.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-google
      name: Google
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Google'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.google.com.br'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-ifood
      name: iFood
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check iFood'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.ifood.com.br'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-instagram
      name: Instagram
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Instagram'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.instagram.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-mercadolivre
      name: 'Mercado Livre'
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Mercado Livre'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.mercadolivre.com.br'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-netflix
      name: Netflix
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Netflix'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.netflix.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-nubank
      name: Nubank
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Nubank'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.nubank.com.br'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-outlook
      name: 'Microsoft Outlook'
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Microsoft Outlook'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://outlook.live.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-pix-bcb
      name: 'PIX (Banco Central)'
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check PIX (Banco Central)'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.bcb.gov.br'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-spotify
      name: Spotify
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Spotify'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.spotify.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-telegram
      name: Telegram
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check Telegram'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://web.telegram.org'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-tiktok
      name: TikTok
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check TikTok'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.tiktok.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-whatsapp
      name: WhatsApp
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check WhatsApp'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.whatsapp.com'
              status_codes: '200,301,302,400'
      inventory_mode: DISABLED
    - host: downdetector-whatsapp-web
      name: 'WhatsApp Web'
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check WhatsApp Web'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://web.whatsapp.com'
              status_codes: '200,301,302,400'
      inventory_mode: DISABLED
    - host: downdetector-x-twitter
      name: 'X (Twitter)'
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check X (Twitter)'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.x.com'
              status_codes: '200'
      inventory_mode: DISABLED
    - host: downdetector-youtube
      name: YouTube
      groups:
        - name: Downdetector
      interfaces:
        - interface_ref: if1
      httptests:
        - name: 'Check YouTube'
          delay: 60s
          attempts: '3'
          agent: 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36'
          steps:
            - name: Homepage
              url: 'https://www.youtube.com'
              status_codes: '200'
      inventory_mode: DISABLED
  triggers:
    - expression: 'last(/downdetector-aws/web.test.time[Check Amazon AWS,Homepage,resp])>5'
      name: 'Amazon AWS - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-aws
    - expression: 'last(/downdetector-aws/web.test.fail[Check Amazon AWS])>0'
      name: 'Amazon AWS - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-aws
    - expression: 'last(/downdetector-bancodobrasil/web.test.time[Check Banco do Brasil,Homepage,resp])>5'
      name: 'Banco do Brasil - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-bancodobrasil
    - expression: 'last(/downdetector-bancodobrasil/web.test.fail[Check Banco do Brasil])>0'
      name: 'Banco do Brasil - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-bancodobrasil
    - expression: 'last(/downdetector-cloudflare/web.test.time[Check Cloudflare,Homepage,resp])>5'
      name: 'Cloudflare - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-cloudflare
    - expression: 'last(/downdetector-cloudflare/web.test.fail[Check Cloudflare])>0'
      name: 'Cloudflare - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-cloudflare
    - expression: 'last(/downdetector-facebook/web.test.time[Check Facebook,Homepage,resp])>5'
      name: 'Facebook - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-facebook
    - expression: 'last(/downdetector-facebook/web.test.fail[Check Facebook])>0'
      name: 'Facebook - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-facebook
    - expression: 'last(/downdetector-gmail/web.test.time[Check Gmail,Homepage,resp])>5'
      name: 'Gmail - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-gmail
    - expression: 'last(/downdetector-gmail/web.test.fail[Check Gmail])>0'
      name: 'Gmail - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-gmail
    - expression: 'last(/downdetector-google/web.test.time[Check Google,Homepage,resp])>5'
      name: 'Google - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-google
    - expression: 'last(/downdetector-google/web.test.fail[Check Google])>0'
      name: 'Google - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-google
    - expression: 'last(/downdetector-ifood/web.test.time[Check iFood,Homepage,resp])>5'
      name: 'iFood - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-ifood
    - expression: 'last(/downdetector-ifood/web.test.fail[Check iFood])>0'
      name: 'iFood - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-ifood
    - expression: 'last(/downdetector-instagram/web.test.time[Check Instagram,Homepage,resp])>5'
      name: 'Instagram - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-instagram
    - expression: 'last(/downdetector-instagram/web.test.fail[Check Instagram])>0'
      name: 'Instagram - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-instagram
    - expression: 'last(/downdetector-mercadolivre/web.test.time[Check Mercado Livre,Homepage,resp])>5'
      name: 'Mercado Livre - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-mercadolivre
    - expression: 'last(/downdetector-mercadolivre/web.test.fail[Check Mercado Livre])>0'
      name: 'Mercado Livre - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-mercadolivre
    - expression: 'last(/downdetector-outlook/web.test.time[Check Microsoft Outlook,Homepage,resp])>5'
      name: 'Microsoft Outlook - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-outlook
    - expression: 'last(/downdetector-outlook/web.test.fail[Check Microsoft Outlook])>0'
      name: 'Microsoft Outlook - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-outlook
    - expression: 'last(/downdetector-netflix/web.test.time[Check Netflix,Homepage,resp])>5'
      name: 'Netflix - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-netflix
    - expression: 'last(/downdetector-netflix/web.test.fail[Check Netflix])>0'
      name: 'Netflix - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-netflix
    - expression: 'last(/downdetector-nubank/web.test.time[Check Nubank,Homepage,resp])>5'
      name: 'Nubank - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-nubank
    - expression: 'last(/downdetector-nubank/web.test.fail[Check Nubank])>0'
      name: 'Nubank - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-nubank
    - expression: 'last(/downdetector-pix-bcb/web.test.time[Check PIX (Banco Central),Homepage,resp])>5'
      name: 'PIX (Banco Central) - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-pix-bcb
    - expression: 'last(/downdetector-pix-bcb/web.test.fail[Check PIX (Banco Central)])>0'
      name: 'PIX (Banco Central) - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-pix-bcb
    - expression: 'last(/downdetector-spotify/web.test.time[Check Spotify,Homepage,resp])>5'
      name: 'Spotify - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-spotify
    - expression: 'last(/downdetector-spotify/web.test.fail[Check Spotify])>0'
      name: 'Spotify - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-spotify
    - expression: 'last(/downdetector-telegram/web.test.time[Check Telegram,Homepage,resp])>5'
      name: 'Telegram - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-telegram
    - expression: 'last(/downdetector-telegram/web.test.fail[Check Telegram])>0'
      name: 'Telegram - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-telegram
    - expression: 'last(/downdetector-tiktok/web.test.time[Check TikTok,Homepage,resp])>5'
      name: 'TikTok - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-tiktok
    - expression: 'last(/downdetector-tiktok/web.test.fail[Check TikTok])>0'
      name: 'TikTok - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-tiktok
    - expression: 'last(/downdetector-whatsapp/web.test.time[Check WhatsApp,Homepage,resp])>5'
      name: 'WhatsApp - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-whatsapp
    - expression: 'last(/downdetector-whatsapp/web.test.fail[Check WhatsApp])>0'
      name: 'WhatsApp - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-whatsapp
    - expression: 'last(/downdetector-whatsapp-web/web.test.time[Check WhatsApp Web,Homepage,resp])>5'
      name: 'WhatsApp Web - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-whatsapp-web
    - expression: 'last(/downdetector-whatsapp-web/web.test.fail[Check WhatsApp Web])>0'
      name: 'WhatsApp Web - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-whatsapp-web
    - expression: 'last(/downdetector-x-twitter/web.test.time[Check X (Twitter),Homepage,resp])>5'
      name: 'X (Twitter) - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-x-twitter
    - expression: 'last(/downdetector-x-twitter/web.test.fail[Check X (Twitter)])>0'
      name: 'X (Twitter) - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-x-twitter
    - expression: 'last(/downdetector-youtube/web.test.time[Check YouTube,Homepage,resp])>5'
      name: 'YouTube - Latência ALTA (>5s)'
      priority: WARNING
      tags:
        - tag: scope
          value: performance
        - tag: service
          value: downdetector-youtube
    - expression: 'last(/downdetector-youtube/web.test.fail[Check YouTube])>0'
      name: 'YouTube - Serviço INDISPONÍVEL'
      priority: HIGH
      tags:
        - tag: scope
          value: availability
        - tag: service
          value: downdetector-youtube
